Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 07/23/2022 in all areas

  1. No need to yell (defun C:impdf ( / name rotulo) (setq path (getvar 'dwgprefix)) (setq fn (vl-filename-base (getvar 'dwgname))) (setq rotulo (strcat path "\\" fn ".pdf"))
    2 points
  2. What I reckon you can do is to read the hints above and work it out now. MHupp has given you a little LISP that creates the PDF filename and path as rotulo, it might need a tiny change to make it work. You can run this from your LISP either copy and paste into it or with (setq rotulo (IMPDF)) and you are good to go
    1 point
  3. I am not a member of The Lisperatti, so this may not be of interest to you. Are you familiar with the Automatic Publish functionality of Autocad? As shown in the screenshot. I don't USE it, but I know that it will automagically create a new folder for your PDFs, once setup. As I recall in the same folder as your original dwgs., but configurable.
    1 point
  4. You can also work out what to change in your code, If you start the plot command in the command line (_plot), it will give you all the options that your LISP has preselected one after another. Make a note of them as it runs through the plot command and you can change these above to suit your needs.
    1 point
  5. Maybe (defun C:TXTREC (/ MPT LL UR L H rad) (setq MPT (getpoint "\nPick Midpoint") L (getreal "\Enter length ") H (getreal "\nEnter height ") rad (getreal "\nEnter radius ") LL (mapcar '- MPT (list (/ L 2.0) (/ H 2.0) 0)) UR (mapcar '+ MPT (list (/ L 2.0) (/ H 2.0) 0)) ) (command "_.Rectangle" LL UR) (setvar 'filletrad rad) ;change to the fillet radius you want (command "_.Fillet" "P" (entlast)) (entmake (list '(0 . "TEXT") (cons 10 MPT) (cons 11 MPT) (cons 40 (getvar 'DIMTXT)) (cons 1 "text you want here") '(72 . 4) ) ) ) (defun C:TR () (C:TXTREC)) I would use multi getvals.lsp
    1 point
  6. WHAT I NEED IS FOR YOU TO SAVE THE PDF IN THE SAME FOLDER AS THE DWG WITHOUT BEING ASKED
    -1 points
×
×
  • Create New...